KDE 3.4 Update - Debian

This is a discussion on KDE 3.4 Update - Debian ; Hi I've just updated my workstation to Debian testing and I'm still using KDE 3.3.2. The result of apt-get upgrade was ...... Reading Package Lists... Done Building Dependency Tree... Done The following packages have been kept back: aalib1 abiword abiword-common ...

+ Reply to Thread
Results 1 to 5 of 5

Thread: KDE 3.4 Update

  1. KDE 3.4 Update

    Hi

    I've just updated my workstation to Debian testing and I'm still using
    KDE 3.3.2. The result of apt-get upgrade was ......

    Reading Package Lists... Done
    Building Dependency Tree... Done
    The following packages have been kept back:
    aalib1 abiword abiword-common abiword-doc abiword-help
    abiword-plugins aiksaurus akode alsa-base
    alsa-utils alsamixergui alsaplayer-alsa alsaplayer-common
    alsaplayer-daemon alsaplayer-esd alsaplayer-gtk
    alsaplayer-jack alsaplayer-nas alsaplayer-xosd a ....
    ...............
    gthumb gtkam gtkam-gimp gtkmorph gtkodbcconfig0 gucharmap
    gwenview gxine html2text id3v2 ijsgimpprint imagemagick initscripts
    inkscape jackd jpilot jpilot-plugins
    juk kaboodle kaddressbook kalarm kalzium kamera kandy kappfinder
    karbon karm kasteroids kate katomic
    kaudiocreator kbabel kbackgammon kbarcode kbattleship kblackbox
    kbounce kbruch kbugbuster kcachegrind
    kcalc kcharselect kchart kcoloredit kcontrol kcron kdat kde-i18n-de
    kde-i18n-engb kde-i18n-fr kde-i18n-ja
    kdeadmin kdeadmin-kfile-plugins kdeartwork.....................

    0 upgraded, 0 newly installed, 0 to remove and 684 not upgraded.


    Was wondering whether it might be possible to update this to KDE 3.4 ?
    Is it stable enough ?

    Regards



    --
    Richard


    --
    To UNSUBSCRIBE, email to debian-kde-REQUEST@lists.debian.org
    with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

  2. Re: KDE 3.4 Update

    On Friday 18 November 2005 01:22, Richard Ibbotson wrote:
    > Hi
    >
    > I've just updated my workstation to Debian testing and I'm still using
    > KDE 3.3.2. The result of apt-get upgrade was ......
    >
    > Reading Package Lists... Done
    > Building Dependency Tree... Done
    > The following packages have been kept back:
    > aalib1 abiword abiword-common abiword-doc abiword-help
    > abiword-plugins aiksaurus akode alsa-base
    > alsa-utils alsamixergui alsaplayer-alsa alsaplayer-common
    > alsaplayer-daemon alsaplayer-esd alsaplayer-gtk
    > alsaplayer-jack alsaplayer-nas alsaplayer-xosd a ....
    > ..............
    > gthumb gtkam gtkam-gimp gtkmorph gtkodbcconfig0 gucharmap
    > gwenview gxine html2text id3v2 ijsgimpprint imagemagick initscripts
    > inkscape jackd jpilot jpilot-plugins
    > juk kaboodle kaddressbook kalarm kalzium kamera kandy kappfinder
    > karbon karm kasteroids kate katomic
    > kaudiocreator kbabel kbackgammon kbarcode kbattleship kblackbox
    > kbounce kbruch kbugbuster kcachegrind
    > kcalc kcharselect kchart kcoloredit kcontrol kcron kdat kde-i18n-de
    > kde-i18n-engb kde-i18n-fr kde-i18n-ja
    > kdeadmin kdeadmin-kfile-plugins kdeartwork.....................
    >
    > 0 upgraded, 0 newly installed, 0 to remove and 684 not upgraded.
    >
    >
    > Was wondering whether it might be possible to update this to KDE 3.4 ?
    > Is it stable enough ?
    >
    > Regards
    >


    Not really a answer,.. but I would use aptitude or dselect to do the upgrade,
    this way you don't get the 'The following packages have been kept back:'
    messages or don't get a complete upgrade, all of the depends are solved as
    you go.

    --
    Greg Madden


    --
    To UNSUBSCRIBE, email to debian-kde-REQUEST@lists.debian.org
    with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

  3. Re: KDE 3.4 Update

    On Friday 18 November 2005 12:22, Richard Ibbotson wrote:
    > Hi
    >
    > I've just updated my workstation to Debian testing and I'm still
    > using KDE 3.3.2. The result of apt-get upgrade was ......
    >
    > Reading Package Lists... Done
    > Building Dependency Tree... Done
    > The following packages have been kept back:
    > aalib1 abiword abiword-common abiword-doc abiword-help
    > abiword-plugins aiksaurus akode alsa-base
    > alsa-utils alsamixergui alsaplayer-alsa alsaplayer-common
    > alsaplayer-daemon alsaplayer-esd alsaplayer-gtk
    > alsaplayer-jack alsaplayer-nas alsaplayer-xosd a ....
    > ...............
    > gthumb gtkam gtkam-gimp gtkmorph gtkodbcconfig0 gucharmap
    > gwenview gxine html2text id3v2 ijsgimpprint imagemagick
    > initscripts inkscape jackd jpilot jpilot-plugins
    > juk kaboodle kaddressbook kalarm kalzium kamera kandy kappfinder
    > karbon karm kasteroids kate katomic
    > kaudiocreator kbabel kbackgammon kbarcode kbattleship kblackbox
    > kbounce kbruch kbugbuster kcachegrind
    > kcalc kcharselect kchart kcoloredit kcontrol kcron kdat
    > kde-i18n-de kde-i18n-engb kde-i18n-fr kde-i18n-ja
    > kdeadmin kdeadmin-kfile-plugins kdeartwork.....................
    >
    > 0 upgraded, 0 newly installed, 0 to remove and 684 not upgraded.
    >
    >
    > Was wondering whether it might be possible to update this to KDE
    > 3.4 ? Is it stable enough ?
    >



    I understand that while the ABI transformation from vers. 1 to version
    2 is in progress, you cannot successfully update whole KDE system. I
    tried with aptitude, but some programs would be left broken because
    they don't yet have newer versions available in testing.

    Does anybody know, how long the transformation is going to take?


    --
    To UNSUBSCRIBE, email to debian-kde-REQUEST@lists.debian.org
    with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

  4. Re: KDE 3.4 Update

    * Tatu Portin [2005 Nov 18 15:40 -0600]:
    > I understand that while the ABI transformation from vers. 1 to version
    > 2 is in progress, you cannot successfully update whole KDE system. I
    > tried with aptitude, but some programs would be left broken because
    > they don't yet have newer versions available in testing.
    >
    > Does anybody know, how long the transformation is going to take?


    In Unstable it was several weeks, at least a month, before most of the
    packages made the transition. For some reason, since everything was
    now working in Sid, I thought that it would all dump into Etch at once.
    Apparently, this is not the case so I would expect the same time table.

    Except for k3b the deleted packages didn't affect me. I'm getting by
    with XCDRoast which must now use GTK2 since my KDE fonts and style were
    active in it. Yea!

    - Nate >>

    --
    Wireless | Amateur Radio Station N0NB | Successfully Microsoft
    Amateur radio exams; ham radio; Linux info @ | free since January 1998.
    http://www.qsl.net/n0nb/ | "Debian, the choice of
    My Kawasaki KZ-650 SR @ | a GNU generation!"
    http://www.networksplus.net/n0nb/ | http://www.debian.org


    --
    To UNSUBSCRIBE, email to debian-kde-REQUEST@lists.debian.org
    with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

  5. Re: KDE 3.4 Update

    El Viernes, 18 de Noviembre de 2005 11:22, Richard Ibbotson escribió:
    > The result of apt-get upgrade was ......


    upgrade doesn't install new packages (only updates version numbers of packages
    installed). You should use dist-upgrade if you run sid. And maybe you should
    consider start using aptitude, too.

    --
    Alex (a.k.a. suy) - GPG ID 0x0B8B0BC2
    http://darkshines.net/ - Jabber ID: suy@bulmalug.net

+ Reply to Thread